Data Fields
acc_detector_presence_metadata_t Struct Reference
Presence Detector

`#include <acc_detector_presence.h>`

## Data Fields
float | start_m
float | end_m
float | step_length_m
uint16_t | num_points
acc_config_profile_t | profile
const acc_config_t * | sensor_config
acc_processing_metadata_t * | processing_metadata

## Detailed Description

brief Metadata for presence detector

Examples
  example_detector_presence.c, example_detector_presence_low_power_hibernate.c, example_detector_presence_low_power_off.c, example_detector_presence_multiple_configurations.c, and example_detector_presence_with_iq_data_print.c.

Definition at line 88 of file acc_detector_presence.h.

## Field Documentation

## ◆ end_m

float acc_detector_presence_metadata_t::end_m

Actual end point of measurement in m. This can be useful to know the exact end point of the measurement in m. The resolution of each point is approximately 2.5mm

Definition at line 101 of file acc_detector_presence.h.

## ◆ num_points

uint16_t acc_detector_presence_metadata_t::num_points

Number of data points in measurement. This is calculated from the requested start and end point and the resulting step length. This corresponds to the length of the depthwise inter/intra presence score results, which can be useful to know already at detector creation.

Definition at line 115 of file acc_detector_presence.h.

## ◆ processing_metadata

acc_processing_metadata_t* acc_detector_presence_metadata_t::processing_metadata

Metadata for the processing result

Examples
  example_detector_presence_with_iq_data_print.c.

Definition at line 131 of file acc_detector_presence.h.

## ◆ profile

acc_config_profile_t acc_detector_presence_metadata_t::profile

Profile used. This can be useful when automatic selection of profile based on start point is enabled through acc_detector_presence_config_auto_profile_set NOTE! Only valid if automatic_subsweeps is disabled

Definition at line 122 of file acc_detector_presence.h.

## ◆ sensor_config

const acc_config_t* acc_detector_presence_metadata_t::sensor_config

The sensor_config used

Examples
  example_detector_presence_with_iq_data_print.c.

Definition at line 126 of file acc_detector_presence.h.

## ◆ start_m

float acc_detector_presence_metadata_t::start_m

Actual start point of measurement in m. This can be useful to know the exact start point of the measurement in m. The resolution of each point is approximately 2.5mm

Definition at line 95 of file acc_detector_presence.h.

## ◆ step_length_m

float acc_detector_presence_metadata_t::step_length_m

Actual step length between each data point of the measurement in m. This can be useful when automatic selection of step length based on the profile is enabled through acc_detector_presence_config_auto_step_length_set NOTE! Only valid if automatic_subsweeps is disabled

Definition at line 108 of file acc_detector_presence.h.

The documentation for this struct was generated from the following file:

- Inc/acc_detector_presence.h